import React, { useState } from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import App from './App';
import reportWebVitals from './reportWebVitals';
import './App.css';

function DispText(props) {
  return(
    <span>{(props.reverse === "False") ? `${props.name}: ${props.state}` : `${props.state} : ${props.name}`}</span>
  )

}

function LocationApp(props) {

  const [name, setName] = useState(localStorage.getItem("curLocationName"));
  const [state , setState] = useState(localStorage.getItem("curLocationState"));
  const [reverse, setReverse] = useState("False");
  const [className, setClassName] = useState("");
  const handleSubmit = (event) =>  {
  	 event.preventDefault();

  	 const name = event.target.name.value;
  	 const state = event.target.state.value;
     const reverse = event.target.reverse.value;

   	 setName(name);
   	 localStorage.setItem("curLocationName", name);

   	 setState(state);
   	 localStorage.setItem("curLocationState", state);

     setReverse(reverse);
   	 setClassName("highlight");
   }
   return (
    <div>
    <form onSubmit={handleSubmit}>
            <label for="name">Name: </label>
            <input 
             type="text" 
             name="name" 
             id="name" />
             <br />

            <label for="state">State</label>
            <select name="state">
                <option value="CA">CA</option>
                <option value="NY">NY</option>
                <option value="TX">TX</option>
            </select><br />

            <label for="shouldReverse">Should Reverse?</label>
            <select name="reverse" id="shouldReverse">
                <option value="True">Yes</option>
                <option value="False">No</option>
            </select><br />

            <input type="submit" value="Save Location" />

        </form>
 <br />
  <div className={className}>
      <DispText reverse={reverse} name={name} state={state} />
  </div>
  </div>
  );
}
 

ReactDOM.render(
  <React.StrictMode>
    <LocationApp />
  </React.StrictMode>,
  document.getElementById('root')
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
